summaryrefslogtreecommitdiffstats
path: root/tests/diag.sh
diff options
context:
space:
mode:
authorRainer Gerhards <rgerhards@adiscon.com>2011-03-08 18:58:28 +0100
committerRainer Gerhards <rgerhards@adiscon.com>2011-03-08 18:58:28 +0100
commit1a0875865300472150c411afa8335e47a1722bae (patch)
tree150dda33ce8649fa75897558010995fd85bf6cb2 /tests/diag.sh
parentd50f1e711ffd479d1ddbc89342e9b28b8b9abba9 (diff)
downloadrsyslog-1a0875865300472150c411afa8335e47a1722bae.tar.gz
rsyslog-1a0875865300472150c411afa8335e47a1722bae.tar.xz
rsyslog-1a0875865300472150c411afa8335e47a1722bae.zip
further improved testbench
some cosmetic issues, plus a new valgrind-based test
Diffstat (limited to 'tests/diag.sh')
-rwxr-xr-xtests/diag.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/tests/diag.sh b/tests/diag.sh
index 64b507e6..e8e3ce1c 100755
--- a/tests/diag.sh
+++ b/tests/diag.sh
@@ -75,6 +75,13 @@ case $1 in
exit 1
fi
;;
+ 'check-exit-vg') # wait for main message queue to be empty. $2 is the instance.
+ if [ "$RSYSLOGD_EXIT" -eq "10" ]
+ then
+ echo "valgrind run FAILED with exceptions - terminating"
+ exit 1
+ fi
+ ;;
'wait-queueempty') # wait for main message queue to be empty. $2 is the instance.
if [ "$2" == "2" ]
then